Up

# STScriptsManager class documentation

### Authors

Stefan Urbanek(`urbanek@host.sk` )

Copyright: (C) 2002 Stefan Urbanek

# Software documentation for the STScriptsManager class

## STScriptsManager : NSObject

> Declared in:
>   StepTalk/STScriptsManager.h

Description forthcoming.

Method summary

- +defaultManager
- -allScripts
- -initWithDomainName:
- -scriptSearchPaths
- -scriptWithName:
- -scriptsDomainName
- -setScriptSearchPaths:
- -setScriptSearchPathsToDefaults
- -validScriptSearchPaths

### defaultManager

+ (id) defaultManager;

Returns default scripts manager for current process (application or tool).

### allScripts

- (NSArray*) allScripts;

Return list of all scripts for managed domain.

### initWithDomainName:

- (id) initWithDomainName: (NSString*)name;
This is a designated initialiser for the class.

Initializes the receiver to be used with domain named name. If name is `nil`, default scripts domain name will be used.

### scriptSearchPaths

- (NSArray*) scriptSearchPaths;

Retrun an array of script search paths. Scripts are searched in Library/StepTalk/Scripts/ scriptsDomainName, Library/StepTalk/Scripts/Shared and in all loaded bundles in bundlePath /Resources/Scripts.

### scriptWithName:

- (STScript*) scriptWithName: (NSString*)aString;

Get a script with name aString for current scripting domain.

### scriptsDomainName

- (NSString*) scriptsDomainName;

Return name of script manager domain.

### setScriptSearchPaths:

- (void) setScriptSearchPaths: (NSArray*)anArray;

Set script search paths to anArray.

### setScriptSearchPathsToDefaults

- (void) setScriptSearchPathsToDefaults;

Description forthcoming.

### validScriptSearchPaths

- (NSArray*) validScriptSearchPaths;

Return script search paths that are valid. That means that path exists and is a directory.

Up